Bug 968270 - AttributeError: 'NoneType' object has no attribute 'lower'
AttributeError: 'NoneType' object has no attribute 'lower'
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Radek Vykydal
Fedora Extras Quality Assurance
abrt_hash:fcabd41a28c394bd993ed4fbd66...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-29 06:57 EDT by Jan ONDREJ
Modified: 2015-02-18 06:04 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:04:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (102.96 KB, text/plain)
2013-05-29 06:57 EDT, Jan ONDREJ
no flags Details
File: anaconda.log (1.36 KB, text/plain)
2013-05-29 06:57 EDT, Jan ONDREJ
no flags Details
File: backtrace (731 bytes, text/plain)
2013-05-29 06:57 EDT, Jan ONDREJ
no flags Details
File: environ (855 bytes, text/plain)
2013-05-29 06:57 EDT, Jan ONDREJ
no flags Details
File: ifcfg.log (288 bytes, text/plain)
2013-05-29 06:57 EDT, Jan ONDREJ
no flags Details
File: ks.cfg (13.71 KB, text/plain)
2013-05-29 06:57 EDT, Jan ONDREJ
no flags Details
File: lsblk_output (1.41 KB, text/plain)
2013-05-29 06:57 EDT, Jan ONDREJ
no flags Details
File: nmcli_dev_list (3.12 KB, text/plain)
2013-05-29 06:57 EDT, Jan ONDREJ
no flags Details
File: packaging.log (412 bytes, text/plain)
2013-05-29 06:57 EDT, Jan ONDREJ
no flags Details
File: program.log (13.81 KB, text/plain)
2013-05-29 06:57 EDT, Jan ONDREJ
no flags Details
File: storage.log (638 bytes, text/plain)
2013-05-29 06:58 EDT, Jan ONDREJ
no flags Details
File: syslog (60.74 KB, text/plain)
2013-05-29 06:58 EDT, Jan ONDREJ
no flags Details

  None (edit)
Description Jan ONDREJ 2013-05-29 06:57:13 EDT
Description of problem:
Installed using my kickstart scripts from boot.salstar.sk/ks/fedora
The following was filed automatically by anaconda:
anaconda 19.30-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/network.py", line 653, in get_ksdevice_name
    if bootif_mac.lower() == hwaddr.lower():
  File "/usr/lib64/python2.7/site-packages/pyanaconda/network.py", line 810, in get_device_name
    devname = get_ksdevice_name(flags.cmdline["ksdevice"])
  File "/usr/lib64/python2.7/site-packages/pyanaconda/network.py", line 865, in setOnboot
    devname = get_device_name(network_data.device)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/network.py", line 888, in networkInitialize
    setOnboot(ksdata)
  File "/sbin/anaconda", line 1040, in <module>
    networkInitialize(ksdata)
AttributeError: 'NoneType' object has no attribute 'lower'

Version-Release number of selected component:
anaconda-19.30-1

Additional info:
reporter:       libreport-2.1.4
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   repo=http://ftp.upjs.sk/pub/fedora/linux/releases/test/19-Beta/Fedora/x86_64/os ksdevice=bootif ks=http://boot.salstar.sk/ks/fedora root=live:http://ftp.upjs.sk/pub/fedora/linux/releases/test/19-Beta/Fedora/x86_64/os/LiveOS/squashfs.img 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.2-301.fc19.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        19-Beta

Truncated backtrace:
Traceback (most recent call last):
  File "/sbin/anaconda", line 1040, in <module>
    networkInitialize(ksdata)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/network.py", line 888, in networkInitialize
    setOnboot(ksdata)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/network.py", line 865, in setOnboot
    devname = get_device_name(network_data.device)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/network.py", line 810, in get_device_name
    devname = get_ksdevice_name(flags.cmdline["ksdevice"])
  File "/usr/lib64/python2.7/site-packages/pyanaconda/network.py", line 653, in get_ksdevice_name
    if bootif_mac.lower() == hwaddr.lower():
AttributeError: 'NoneType' object has no attribute 'lower'
Comment 1 Jan ONDREJ 2013-05-29 06:57:18 EDT
Created attachment 754297 [details]
File: anaconda-tb
Comment 2 Jan ONDREJ 2013-05-29 06:57:21 EDT
Created attachment 754298 [details]
File: anaconda.log
Comment 3 Jan ONDREJ 2013-05-29 06:57:26 EDT
Created attachment 754299 [details]
File: backtrace
Comment 4 Jan ONDREJ 2013-05-29 06:57:30 EDT
Created attachment 754300 [details]
File: environ
Comment 5 Jan ONDREJ 2013-05-29 06:57:34 EDT
Created attachment 754301 [details]
File: ifcfg.log
Comment 6 Jan ONDREJ 2013-05-29 06:57:38 EDT
Created attachment 754302 [details]
File: ks.cfg
Comment 7 Jan ONDREJ 2013-05-29 06:57:42 EDT
Created attachment 754303 [details]
File: lsblk_output
Comment 8 Jan ONDREJ 2013-05-29 06:57:50 EDT
Created attachment 754304 [details]
File: nmcli_dev_list
Comment 9 Jan ONDREJ 2013-05-29 06:57:53 EDT
Created attachment 754305 [details]
File: packaging.log
Comment 10 Jan ONDREJ 2013-05-29 06:57:57 EDT
Created attachment 754306 [details]
File: program.log
Comment 11 Jan ONDREJ 2013-05-29 06:58:01 EDT
Created attachment 754307 [details]
File: storage.log
Comment 12 Jan ONDREJ 2013-05-29 06:58:05 EDT
Created attachment 754308 [details]
File: syslog
Comment 13 Jan ONDREJ 2013-06-24 09:51:26 EDT
Install using my kickstart file. I can provide more details if requested.

cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   repo=http://ftp.upjs.sk/pub/fedora/linux/development/19/x86_64/os ksdevice=bootif ks=http://boot.salstar.sk/ks/fedora root=live:http://ftp.upjs.sk/pub/mirrors/fedoraproject/alt/stage/19-TC6/Fedora/x86_64/os/LiveOS/squashfs.img 
hashmarkername: anaconda
kernel:         3.9.5-301.fc19.x86_64
package:        anaconda-19.30.9-1
product:        Fedora
reason:         AttributeError: 'NoneType' object has no attribute 'lower'
release:        Cannot get release name.
version:        19-TC6
Comment 14 Brian Lane 2013-06-24 21:07:57 EDT
More details are always welcome :)
Comment 15 Jan ONDREJ 2013-06-25 02:27:42 EDT
Looks that it has problems with ksdevice=bootif parameter. There is a duplicate bug here: https://bugzilla.redhat.com/show_bug.cgi?id=965742 .
Steps to reproduce:

Boot Fedora 19 from networks with these parameters:
  ksdevice=bootif ks=http://boot.salstar.sk/ks/pc

I think that does not matter, which ks script is used, fails always.
Traceback is attached is this bug.

My lastest test is with 19-TC6 alt stage images.
Comment 16 Radek Vykydal 2013-06-25 05:54:26 EDT
Jan, you are using ksdevice=bootif without actually supplying BOOTIF= boot parameter (https://fedoraproject.org/wiki/Anaconda_Boot_Options?rd=Anaconda/Options#ks.device). Nevertheless, I am sending a patch preventing the traceback in such situation.
Comment 17 Fedora End Of Life 2015-01-09 17:26:35 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 18 Fedora End Of Life 2015-02-18 06:04:06 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.